<template>
  <div
    id="grid"
    :style="`
      width: ${tilesize * cols}px;
      height: ${tilesize * rows}px;
    `"
  >
    <div class="level-tiles">
      <div
        v-for="(tile, key) in level"
        :key="key"
        class="tile-group"
        :class="`tile-group-${key}`"
      >
        <div
          v-for="(pos, index) in tile.positions"
          :key="index"
          class="tile"
          :class="key"
          :style="`
        width: ${tilesize}px;
        height: ${tilesize}px;
        left: ${pos.x * tilesize}px;
        top: ${pos.y * tilesize}px;
      `"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    level: Object,
  },
  data() {
    return {
      tilesize: this.$store.state.tilesize,
      cols: this.$store.state.viewportCols,
      rows: this.$store.state.viewportRows,
    };
  },
}
</script>

<style lang="scss">
#grid {
  position: absolute;

  .tile {
    position: absolute;
  }

  .floor {
    background-image: url("/level-tiles/floor.png");
    z-index: 2;
  }

  .floor-top {
    background-image: url("/level-tiles/floor_top.png");
    z-index: 2;
  }

  .platform {
    background-image: url("/level-tiles/platform.png");
  }
}
</style>